Subject: [saag] CFRG status for IETF 96

From: "Paterson, Kenny" <[email-masked]>
Date: Wed, 20 Jul 2016 20:46:24 +0000

CFRG met on Wednesday at IETF 96.

Chairs announced a formal call for nominations to the CFRG crypto review
panel. Nominations close on September 9th. Self-nominations are welcome.
Chairs also announced that CFRG will put some of its energy into PAKEs
over the coming months.

We had a presentation from Dmitry Khovratovich on Argon2, the Password
Hashing Competition winner. Dmitry's talk covered the recent attacks on
Argon2 and their consequences for parameter setting.

We had an overview presentation on the SESPAKE protocol from Stanislav V.
Smyshlyaev.

Oscar Garcia-Morchon gave an awareness-raising presentation on HIMMO, a
key pre-distribution scheme that may have applications in sensor/IoT
applications.

Finally, we had short presentations from Rob Austein providing a progress
report on CrypTech and from Phillip Hallam-Baker on the potential
applications of proxy re-encryption in messaging systems.